%define upstream_name    Hash-Merge-Simple
%define upstream_version 0.051

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Recursively merge two or more hashes, simply
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Most)
BuildArch: noarch


%description
Hash::Merge::Simple will recursively merge two or more hashes and return
the result as a new hash reference. The merge function will descend and
merge hashes that exist under the same node in both the left and right
hash, but doesn't attempt to combine arrays, objects, scalars, or anything
else. The rightmost hash also takes precedence, replacing whatever was in
the left hash if a conflict occurs.

This code was pretty much taken straight from the Catalyst::Utils manpage,
and modified to handle more than 2 hashes at the same time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.51.0-8.mga6
+ Revision: 1028197
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.51.0-7.mga6
+ Revision: 949636
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.51.0-6.mga5
+ Revision: 790147
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.51.0-5.mga5
+ Revision: 747453
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.51.0-4.mga5
+ Revision: 685027
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.51.0-3.mga4
+ Revision: 512214
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.51.0-2.mga3
+ Revision: 368371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.51.0-1.mga1
+ Revision: 33854
- mageia rebuild
- imported package perl-Hash-Merge-Simple

